#pragma once
#include "opengl.h"
#include "physics.h"

/* Return 1 if collision is detected. */
int CollideSprite(const glTexture* at, const int asx, const int asy,
                  const Vec2* ap, const glTexture* bt,
                  const int bsx, const int bsy, const Vec2* bp,
                  Vec2* crash);

int CollideLineLine(double s1x, double s1y, double e1x, double e1y,
    double s2x, double s2y, double e2x, double e2y, Vec2* crash);

int CollideLineSrite(const Vec2* ap, double ad, double al,
    const glTexture* bt, const int bsx, const int bsy, const Vec2* bp,
    Vec2* crash);

